    {% extends 'base.html' %}

    {% macro render_filter_field(field) %}
        <div class="form-group">
            <div class="col">
                {{ field.label }}
                {{ field }}
            </div>
        </div>
    {% endmacro %}
    {% block content %}

        <div class="container">
            <div class="row justify-content-md-center">
                <div>
                    <form action="search" method="post" id="form-search">
                        <div class="container">
                            <p class="h3">Search</p>
                            <div class="row">
                                <div class="col">
                                    {{ formsearch.search_geometryShader.label(class="labelsearch") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_tesselationShader.label(class="labelsearch") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_shaderInt16.label(class="labelsearch") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_sparseBinding.label(class="labelsearch") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_textureCompressionETC2.label(class="labelsearch") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_vertexPipelineStoresAndAtomics.label(class="labelsearch") }}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    {{ formsearch.search_geometryShader(class="form-select form-select-sm") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_tesselationShader(class="form-select form-select-sm") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_shaderInt16(class="form-select form-select-sm") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_sparseBinding(class="form-select form-select-sm") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_textureCompressionETC2(class="form-select form-select-sm") }}
                                </div>
                                <div class="col">
                                    {{ formsearch.search_vertexPipelineStoresAndAtomics(class="form-select form-select-sm") }}
                                </div>
                            </div>
                                <input type="submit" class="btn btn-primary" value="Submit">
                            {{ formsearch.csrf_token }}
                        </div>
                    </form>
                </div>
            </div>
            <div class="row content-md">
                <div class="col">
                    <p class="h3">List GPU :</p>
                    <ul class="list-group">
                        {% set light={'present':True} %}
                        {% for gpu in gpus %}
                            <div class="container">
                                <li class="list-group-item{{ " list-group-item-secondary" if light['present'] == True else "" }}">
                                    <div class="row">
                                        <div class="col col-lg-11">
                                            <a href="{{ url_for('gpu', key=gpu["key"]["name"]) }}">{{ gpu["key"]["name"] }}</a>
                                        </div>
                                        <div class="col col-lg-1">
                                            {% if user_data %}
                                                <a href="{{ url_for('editgpu', key=gpu["key"]["name"]) }}" ><img src="/static/edit.png" width="20px"></a>
                                            {% endif %}
                                        </div>
                                    </div>
                                </li>
                            </div>
                            {% set _ = light.update({'present': not light["present"]}) %}
                        {% endfor %}
                    </ul>
                </div>
            </div>

            <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#compareModal">
                Compare
            </button>
            <!-- Modal -->
            <div class="modal fade" id="compareModal" tabindex="-1" aria-labelledby="compareModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="compareModalLabel">Add a GPU</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>

                        <form action="compare" method="post" id="form-compare">
                            <div class="modal-body">
                                <p class="h3">Compare</p>
                                {{ render_field(form_compare.name1) }}
                                {{ render_field(form_compare.name2) }}
                                {{ form_compare.csrf_token }}
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <input type="submit" class="btn btn-primary" value="Submit">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            {% if user_data %}
                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addGPUModal">
                    Add a GPU
                </button>
                <!-- Modal -->
                <div class="modal fade" id="addGPUModal" tabindex="-1" aria-labelledby="addGPUModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-xl">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="addGPUModalLabel">Add a GPU</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <form action="addgpu" method="post" id="form-addgpu">
                                <div class="modal-body">
                                    <div class="form-group">
                                        {{ render_field(form.name) }}
                                        {{ render_field(form.manuefacturer) }}
                                        {{ render_field(form.date_issued, type="date") }}
                                        {{ render_field(form.geometryShader, type="checkbox", class="form-check-input") }}
                                        {{ render_field(form.tesselationShader, type="checkbox", class="form-check-input") }}
                                        {{ render_field(form.shaderInt16, type="checkbox", class="form-check-input") }}
                                        {{ render_field(form.sparseBinding,type="checkbox", class="form-check-input") }}
                                        {{ render_field(form.textureCompressionETC2, type="checkbox", class="form-check-input") }}
                                        {{ render_field(form.vertexPipelineStoresAndAtomics, type="checkbox", class="form-check-input") }}
                                        {{ form.csrf_token }}
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                    <input type="submit" class="btn btn-primary" value="Submit">
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
    {% endblock %}